## uml-utilities 20020415

=== Makefile ===
SUBDIRS = jailtest mconsole moo port-helper tunctl uml_net uml_router 
UMLVER = $(shell date +%Y%m%d)
TARBALL = uml_utilities_$(UMLVER).tar
BIN_DIR = /usr/bin
LIB_DIR = /usr/lib/uml

export BIN_DIR LIB_DIR

all install: 
	set -e ; for dir in $(SUBDIRS); do $(MAKE) -C $$dir $@; done

tarball : clean spec
	cd .. ; tar cf $(TARBALL) tools ; bzip2 -f $(TARBALL)

clean:
	rm -rf *~
	rm -f uml_util.spec
	set -e ; for dir in $(SUBDIRS); do $(MAKE) -C $$dir $@; done

spec:	
	sed -e 's/__UMLVER__/$(UMLVER)/' < uml_util.spec.in > uml_util.spec

=== jailtest/Makefile ===
OBJS = jailtest.o
BIN = jailtest
CFLAGS = -g -Wall

BIN_DIR = /usr/bin
LIB_DIR = /usr/lib/uml

all : $(BIN)

$(BIN) : $(OBJS)
	$(CC) $(CFLAGS) -o $(BIN) $(OBJS)

clean : 
	rm -f $(BIN) $(OBJS) *~

install : $(BIN)
	install -d $(DESTDIR)$(BIN_DIR)
	install -s $(BIN) $(DESTDIR)$(BIN_DIR)

=== mconsole/Makefile ===
BIN = uml_mconsole
OBJS = $(BIN).o
CFLAGS = -g -Wall

BIN_DIR = /usr/bin
LIB_DIR = /usr/lib/uml

all : $(BIN)

$(BIN) : $(OBJS)
	$(CC) $(CFLAGS) -o $(BIN) $(OBJS) -lreadline -lncurses

clean : 
	rm -f $(BIN) $(OBJS) *~

install : $(BIN)
	install -d $(DESTDIR)$(BIN_DIR)
	install -s $(BIN) $(DESTDIR)$(BIN_DIR)

=== moo/Makefile ===
BIN = uml_moo
OBJS = $(BIN).o
CFLAGS = -g -Wall -D_LARGEFILE64_SOURCE

BIN_DIR = /usr/bin
LIB_DIR = /usr/lib/uml

all : $(BIN)

$(BIN) : $(OBJS)
	$(CC) $(CFLAGS) -o $(BIN) $(OBJS)

clean : 
	rm -f $(BIN) $(OBJS) *~

install : $(BIN)
	install -d $(DESTDIR)$(BIN_DIR)
	install -s $(BIN) $(DESTDIR)$(BIN_DIR)

=== port-helper/Makefile ===
OBJS = port-helper.o
BIN = port-helper
CFLAGS = -g -Wall

BIN_DIR = /usr/bin
LIB_DIR = /usr/lib/uml

all : $(BIN)

$(BIN) : $(OBJS)
	$(CC) $(CFLAGS) -o $(BIN) $(OBJS)

clean : 
	rm -f $(BIN) $(OBJS) *~

install : $(BIN)
	install -d $(DESTDIR)$(LIB_DIR)
	install -s $(BIN) $(DESTDIR)$(LIB_DIR)

=== tunctl/Makefile ===
OBJS = tunctl.o
BIN = tunctl
CFLAGS = -g -Wall

BIN_DIR = /usr/bin
LIB_DIR = /usr/lib/uml

all : $(BIN)

$(BIN) : $(OBJS)
	$(CC) $(CFLAGS) -o $(BIN) $(OBJS)

clean : 
	rm -f $(BIN) $(OBJS) *~

install : $(BIN)
	install -d $(DESTDIR)$(BIN_DIR)
	install -s $(BIN) $(DESTDIR)$(BIN_DIR)

=== uml_net/Makefile ===
TUNTAP = $(shell [ -e /usr/include/linux/if_tun.h ] && echo -DTUNTAP)

BIN = uml_net
CFLAGS = -g -Wall $(TUNTAP)

BIN_DIR = /usr/bin
LIB_DIR = /usr/lib/uml

OBJS = ethertap.o host.o output.o slip.o uml_net.o

ifneq ($(TUNTAP),)
	OBJS += tuntap.o
endif

all : $(BIN)

$(BIN) : $(OBJS)
	$(CC) $(CFLAGS) -o $(BIN) $(OBJS)

clean : 
	rm -f $(BIN) $(OBJS) *~

install : $(BIN)
	install -d $(DESTDIR)$(BIN_DIR)
	install -s -m 04755 $(BIN) $(DESTDIR)$(BIN_DIR)

=== uml_router/Makefile ===
TUNTAP = $(shell [ -e /usr/include/linux/if_tun.h ] && echo -DTUNTAP)

OBJS = hash.o port.o uml_switch.o 
BIN = uml_switch
CFLAGS = -g -Wall $(TUNTAP)

BIN_DIR = /usr/bin
LIB_DIR = /usr/lib/uml

ifneq ($(TUNTAP),)
	OBJS += tuntap.o
endif

all : $(BIN)

$(BIN) : $(OBJS)
	$(CC) $(CFLAGS) -o $(BIN) $(OBJS)

clean : 
	rm -f $(BIN) $(OBJS) *~

install : $(BIN)
	install -d $(DESTDIR)$(BIN_DIR)
	install -s $(BIN) $(DESTDIR)$(BIN_DIR)

## uml-utilities 20040406

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
-SUBDIRS = jailtest mconsole moo port-helper tunctl uml_net uml_router 
+TUNCTL = $(shell [ -e /usr/include/linux/if_tun.h ] && echo tunctl)
+
+SUBDIRS = jail jailtest humfsify mconsole moo port-helper $(TUNCTL) uml_net \
+	uml_router watchdog
 UMLVER = $(shell date +%Y%m%d)
 TARBALL = uml_utilities_$(UMLVER).tar
 BIN_DIR = /usr/bin

=== humfsify/Makefile ===
all install:

clean:
	rm -f *~

=== jail/Makefile ===
all : jail_uml

jail_uml : jail_uml.c

# Don't install anything as yet
install :

clean :
	rm -rf *~ jail_uml cell[0-9]* core* tty_log_cell*

=== jailtest/Makefile ===
--- 
+++ 
@@ -2,8 +2,7 @@
 BIN = jailtest
 CFLAGS = -g -Wall
 
-BIN_DIR = /usr/bin
-LIB_DIR = /usr/lib/uml
+BIN_DIR ?= /usr/bin
 
 all : $(BIN)

=== mconsole/Makefile ===
--- 
+++ 
@@ -2,8 +2,7 @@
 OBJS = $(BIN).o
 CFLAGS = -g -Wall
 
-BIN_DIR = /usr/bin
-LIB_DIR = /usr/lib/uml
+BIN_DIR ?= /usr/bin
 
 all : $(BIN)

=== moo/Makefile ===
BIN = uml_moo uml_mkcow

uml_moo_OBJS = uml_moo.o cow.o
uml_mkcow_OBJS = uml_mkcow.o cow.o

CFLAGS = -g -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE

BIN_DIR ?= /usr/bin

all : $(BIN)

uml_moo : $(uml_moo_OBJS)
	$(CC) $(CFLAGS) -o $@ $($@_OBJS)

uml_mkcow : $(uml_mkcow_OBJS)
	$(CC) $(CFLAGS) -o $@ $($@_OBJS)

$(uml_moo_OBJS) $(uml_mkcow_OBJS) : cow.h cow_sys.h

clean : 
	rm -f $(foreach bin,$(BIN),$($(bin)_OBJS)) $(BIN) $(OBJS) *~

install : $(BIN)
	install -d $(DESTDIR)$(BIN_DIR)
	install -s $(BIN) $(DESTDIR)$(BIN_DIR)

=== port-helper/Makefile ===
--- 
+++ 
@@ -2,8 +2,7 @@
 BIN = port-helper
 CFLAGS = -g -Wall
 
-BIN_DIR = /usr/bin
-LIB_DIR = /usr/lib/uml
+LIB_DIR ?= /usr/lib/uml
 
 all : $(BIN)

=== tunctl/Makefile ===
--- 
+++ 
@@ -2,8 +2,7 @@
 BIN = tunctl
 CFLAGS = -g -Wall
 
-BIN_DIR = /usr/bin
-LIB_DIR = /usr/lib/uml
+BIN_DIR ?= /usr/bin
 
 all : $(BIN)

=== uml_net/Makefile ===
--- 
+++ 
@@ -3,8 +3,7 @@
 BIN = uml_net
 CFLAGS = -g -Wall $(TUNTAP)
 
-BIN_DIR = /usr/bin
-LIB_DIR = /usr/lib/uml
+BIN_DIR ?= /usr/bin
 
 OBJS = ethertap.o host.o output.o slip.o uml_net.o

=== uml_router/Makefile ===
--- 
+++ 
@@ -4,8 +4,7 @@
 BIN = uml_switch
 CFLAGS = -g -Wall $(TUNTAP)
 
-BIN_DIR = /usr/bin
-LIB_DIR = /usr/lib/uml
+BIN_DIR ?= /usr/bin
 
 ifneq ($(TUNTAP),)
 	OBJS += tuntap.o

=== watchdog/Makefile ===
BIN = uml_watchdog
OBJS = $(BIN).o
CFLAGS = -g -Wall

BIN_DIR ?= /usr/bin

all : $(BIN)

$(BIN) : $(OBJS)
	$(CC) $(CFLAGS) -o $(BIN) $(OBJS)

clean : 
	rm -f $(BIN) $(OBJS) *~

install : $(BIN)
	install -d $(DESTDIR)$(BIN_DIR)
	install -s $(BIN) $(DESTDIR)$(BIN_DIR)

## uml-utilities 20060323

=== jail/Makefile ===
OBJS = jail_uml.o
BIN = jail_uml
CFLAGS ?= -g -Wall

SBIN_DIR ?= /usr/sbin

all : $(BIN)

$(BIN) : $(OBJS)
	$(CC) $(CFLAGS) -o $(BIN) $(OBJS)

install : $(BIN)
	install -d $(DESTDIR)$(SBIN_DIR)
	install -s $(BIN) $(DESTDIR)$(SBIN_DIR)
	
clean :
	rm -rf *~ $(BIN) $(OBJS) cell[0-9]* core* tty_log_cell*

=== mconsole/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 BIN = uml_mconsole
 OBJS = $(BIN).o
-CFLAGS = -g -Wall
+CFLAGS ?= -g -Wall
 
 BIN_DIR ?= /usr/bin

=== port-helper/Makefile ===
--- 
+++ 
@@ -1,8 +1,6 @@
 OBJS = port-helper.o
 BIN = port-helper
-CFLAGS = -g -Wall
-
-LIB_DIR ?= /usr/lib/uml
+CFLAGS ?= -g -Wall
 
 all : $(BIN)

## uml-utilities 20070815

=== humfsify/Makefile ===
BIN = humfsify

all:

install:
	install -d $(DESTDIR)$(BIN_DIR)
	install -o 0755 $(BIN) $(DESTDIR)$(BIN_DIR)

clean:
	rm -f *~

=== mconsole/Makefile ===
BIN = uml_mconsole
OBJS = $(BIN).o
CFLAGS ?= -g -Wall
LIBS = ../lib/libuml.a -lreadline -lncurses

BIN_DIR ?= /usr/bin

all : $(BIN)

$(BIN) : $(OBJS)
	$(CC) $(CFLAGS) -o $(BIN) $(OBJS) $(LIBS)

clean : 
	rm -f $(BIN) $(OBJS) *~

install : $(BIN)
	install -d $(DESTDIR)$(BIN_DIR)
	install -s $(BIN) $(DESTDIR)$(BIN_DIR)

=== uml_switch/Makefile ===
TUNTAP = $(shell [ -e /usr/include/linux/if_tun.h ] && echo -DTUNTAP)

OBJS = hash.o port.o uml_switch.o 
BIN = uml_switch
CFLAGS ?= -g -Wall
override CFLAGS += $(TUNTAP)

BIN_DIR ?= /usr/bin

ifneq ($(TUNTAP),)
	OBJS += tuntap.o
endif

all : $(BIN)

$(BIN) : $(OBJS)
	$(CC) $(CFLAGS) -o $(BIN) $(OBJS)

clean : 
	rm -f $(BIN) $(OBJS) *~

install : $(BIN)
	install -d $(DESTDIR)$(BIN_DIR)
	install -s $(BIN) $(DESTDIR)$(BIN_DIR)

=== umlgdb/Makefile ===
all :

install :
	install -d $(DESTDIR)$(BIN_DIR)
	install -m 755 umlgdb $(DESTDIR)$(BIN_DIR)

clean :
	rm -f *~

## uml-utilities 20070815.1

=== Makefile ===
TUNCTL = $(shell [ -e /usr/include/linux/if_tun.h ] && echo tunctl)

SUBDIRS = lib jail jailtest humfsify mconsole moo port-helper $(TUNCTL) \
	uml_net uml_switch watchdog umlfs
UMLVER = $(shell date +%Y%m%d)
TARBALL = uml_utilities_$(UMLVER).tar.bz2
BIN_DIR = /usr/bin

ifeq ($(shell uname -m),x86_64)
LIB_DIR = /usr/lib64/uml
else
LIB_DIR = /usr/lib/uml
endif

CFLAGS = -g -Wall
#CFLAGS = -g -O2 -Wall

export BIN_DIR LIB_DIR CFLAGS

all install: 
	set -e ; for dir in $(SUBDIRS); do $(MAKE) -C $$dir $@; done

tarball : clean spec
	cd .. ;					\
	mv tools tools-$(UMLVER);		\
	tar cjf $(TARBALL) tools-$(UMLVER);	\
	mv tools-$(UMLVER) tools

clean:
	rm -rf *~
	rm -f uml_util.spec
	set -e ; for dir in $(SUBDIRS); do $(MAKE) -C $$dir $@; done

spec:	
	sed -e 's/__UMLVER__/$(UMLVER)/' < uml_util.spec.in > uml_util.spec

=== jailtest/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 OBJS = jailtest.o
 BIN = jailtest
-CFLAGS = -g -Wall
+CFLAGS ?= -g -Wall
 
 BIN_DIR ?= /usr/bin

=== debian/changelog ===
uml-utilities (20070815.1-1) unstable; urgency=low

  * Bump compat level to latest. (Closes: #817708)
  * Stop setting permissions on /dev/net/tun. (Closes: #516691, #760425)
  * Switch to dpkg-source 3.0 (quilt) format, repackaged orig.tgz to remove
    garbage like a .pc directory that confuses dpkg-source.
  * Added support for "status" action to init script. Thanks Peter Eisentraut
    <petere@debian.org>. (Closes: #646879)
  * Added support to open TUN devices in TUN mode instead of just TAP. Thanks
    to Nathaniel Wesley Filardo <nwf@cs.jhu.edu>. (Closes: #462922)
  * Fix path and permission of uml_net in dpkg-statoverride.
    (Closes: #501046)

 -- Mattia Dongili <malattia@debian.org>  Wed, 13 Jul 2016 23:03:09 -0700

uml-utilities (20070815-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Stop shipping /var/run/uml-utilities, thanks to Thomas Goirand. The
    initscript already created this if it was missing.  (Closes: #689905)
  * Set Architecture: linux-any.  (Closes: #745188, #637724)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 04 Nov 2014 14:05:53 +0100

uml-utilities (20070815-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Don't link mconsole with ncurses (closes: #646162). Thanks to Sven Joachim
    for the bug report and the patch.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 02 Nov 2011 22:35:36 +0100

uml-utilities (20070815-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on libreadline-dev instead of libreadline5-dev
    (closes: #553868). Thanks to Matthias Klose for the bug report.
  * Remove Stefano Melchior from uploaders (closes: #514666 ). Thanks to
    Sandro Tosi for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 07 Aug 2011 14:21:01 +0200

uml-utilities (20070815-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed dependency information in LSB header in init.d script
    (closes: #470775)

 -- Peter Eisentraut <petere@debian.org>  Sat, 05 Apr 2008 14:59:53 +0200

uml-utilities (20070815-1) unstable; urgency=low

  * New upstream version (Closes: #438457) (Closes: #393263)
  [Stefano Melchior]
    * added the humfsify man page
    * added the uml_mount man page
    * updated policy version in debian/control
    * added correction in the tunctl man page (Closes: #395020)
    * added LSB support with patch from David Härdeman (Closes: #385906)
  [Mattia Dongili]:
    * Remove obsolete MAKEDEV invocation and udev/makedev dependencies
      (Closes: #434161)
    * Create /var/run/uml-utilities if it doesn't exist at uml_switch startup
      (Closes: #434784)
    * set a decent name for the _maintenance_ team.
    * add UML_SWITCH_CTL to defaults file for easier customization.
    * add uml_mkcow and jail_uml manpages.
    * mention COW files advantages and how to see their actual 
      disk usage in uml_moo and uml_mkcow manpages. (Closes: #173302)

 -- Mattia Dongili <malattia@debian.org>  Sun, 19 Aug 2007 15:39:38 +0900

uml-utilities (20060323-3) unstable; urgency=low

  [Mattia Dongili]:
  * Install port-helper in the correct location (Closes: #362058).
  * Cleaned up debian/rules and merged all install path stuff in a single
    patch to upstream sources.

 -- Mattia Dongili <malattia@debian.org>  Wed, 12 Apr 2006 22:32:53 +0200

uml-utilities (20060323-2) unstable; urgency=low

  * fix FTBFS on ia64 and alpha (spotted before the bug was delivered).

 -- Mattia Dongili <malattia@debian.org>  Sun, 09 Apr 2006 22:39:15 +0200

uml-utilities (20060323-1) unstable; urgency=low

  [Mattia Dongili]:
  * moved Stefano Melchior to Uploaders and using pkg-uml-pkgs@l.a.d.o as
    Maintainer.
  * added myself and Andreas Schuldei as Uploaders.
  * uml_router vanished together with the core file in uptream source 
    package. (Closes: #280392)
  * remove dpkg-statoverride entry on remove/purge of the package.
    (Closes: #270680)
  * provide an option to prevent uml_switch from starting. (Closes: #231265)
  * some debian/rules cleanup and a non-POSIX shell code fix.
  * converted changelog to UTF8.

 -- Mattia Dongili <malattia@debian.org>  Sat, 08 Apr 2006 18:58:22 +0200
 

uml-utilities (20060110-1) unstable; urgency=low

  * Fixed libreadline5-dev build dependency (closes: #326287)
  * Fixed space left on daemon stoping from Loic Minier <lool@dooz.org>> (closes: #236467)

 -- Stefano Melchior <stefano.melchior@openlabs.it>  Wed, 11 Jan 2006 00:25:40 +0100

uml-utilities (20040406-1) unstable; urgency=low

  * New upstream release
  * Patch from Carlos Perelló Marín to fix uml_proxy_arp with multiple
    addresses (Closes: #243834)

 -- Matt Zimmerman <mdz@debian.org>  Wed, 14 Apr 2004 17:59:45 -0700

uml-utilities (20040114-1) unstable; urgency=low

  * New upstream release

 -- Matt Zimmerman <mdz@debian.org>  Mon, 16 Feb 2004 23:01:35 -0800

uml-utilities (20030903-7) unstable; urgency=low

  * Add a note about using dhcpd to README.Debian
  * Patch from Clint Adams <schizo@debian.org> to support multiple
    proxy_arp addresses in /etc/network/interfaces (Closes: #222014)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 11 Jan 2004 22:52:13 -0800

uml-utilities (20030903-6) unstable; urgency=low

  * Documentation improvements to reflect user feedback
  * Add some comments to interfaces.example explaining how they are used
  * Add "ifup tap0" in the step-by-step instructions in README.Debian
  * Clarify the README.Debian to indicate that there are multiple methods
    of networking being documented

 -- Matt Zimmerman <mdz@debian.org>  Fri, 19 Sep 2003 01:02:23 -0400

uml-utilities (20030903-5) unstable; urgency=low

  * Fix typo in daemon transport instructions in README.Debian
    (Closes: #209250)

 -- Matt Zimmerman <mdz@debian.org>  Wed, 17 Sep 2003 16:40:08 -0400

uml-utilities (20030903-4) unstable; urgency=low

  * Oops, the switch socket needs to be writable and executable as well.
    This means the chmod is back.

 -- Matt Zimmerman <mdz@debian.org>  Sat,  6 Sep 2003 12:37:59 -0400



=== debian/control ===
Source: uml-utilities
Section: otherosfs
Priority: extra
Maintainer: User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>
Uploaders: Andreas Schuldei <andreas@schuldei.org>, Mattia Dongili <malattia@debian.org>
Build-Depends: debhelper (>> 9.0.0), libreadline-dev, docbook-to-man, libfuse-dev
Standards-Version: 3.9.8

Package: uml-utilities
Architecture: linux-any
Depends: adduser, ${shlibs:Depends}, lsb-base (>= 3.0-10), ${misc:Depends}
Suggests: user-mode-linux
Description: User-mode Linux (utility programs)
 User-mode Linux is a port of the Linux kernel to its own system call
 interface.  It provides a kind of virtual machine, which runs Linux
 as a user process under another Linux kernel.  This is useful for
 kernel development, sandboxing, jailing, experimentation, and
 many other things.
 .
 This package contains userspace utilities for use with User-mode
 Linux, including uml_mconsole, uml_moo, uml_switch, uml_net and
 tunctl.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DEB_BUILD_ARCH?=$(shell dpkg-architecture -qDEB_BUILD_ARCH)

tmp:=$(CURDIR)/debian/uml-utilities

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure-stamp build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_prep
	dh_testdir

ifeq "$(DEB_BUILD_ARCH)" "arm"
	touch tunctl/tunctl
endif
	$(MAKE)

	for man in debian/*.sgml; do \
		docbook-to-man $$man > `dirname $$man`/`basename $$man .sgml`.1; \
	done

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	$(MAKE) clean
	rm -f debian/*.1

	dh_clean

install: build
	dh_testdir
	dh_testroot

	$(MAKE) install DESTDIR=$(tmp)

	dh_installdirs etc/network/if-up.d etc/network/if-pre-up.d
	install -m 755 debian/uml-utilities.if-up.d $(tmp)/etc/network/if-up.d/uml-utilities
	install -m 755 debian/uml-utilities.if-pre-up.d $(tmp)/etc/network/if-pre-up.d/uml-utilities

ifeq "$(DEB_BUILD_ARCH)" "arm"
	rm -f $(tmp)/usr/sbin/tunctl
endif

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -a
	dh_installexamples -a
#	dh_installmenu -a
#	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a debian/*.1
	dh_installinfo -a
#	dh_undocumented
	dh_installchangelogs -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## uml-utilities 20070815.2

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,6 @@
 
 clean:
 	rm -rf *~
-	rm -f uml_util.spec
 	set -e ; for dir in $(SUBDIRS); do $(MAKE) -C $$dir $@; done
 
 spec:

=== watchdog/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 BIN = uml_watchdog
 OBJS = $(BIN).o
-CFLAGS = -g -Wall
+CFLAGS ?= -g -Wall
 
 BIN_DIR ?= /usr/bin

=== debian/changelog ===
uml-utilities (20070815.2-1) unstable; urgency=medium

  [ New Maintenance Release ]
  * Don't delete uml_util.spec in clean target
  * Allow creation of tun IFF_TUN devices
  * Don't link against ncurses
  * Cleanup and re-add debian/ work
  * Fix debian/gbp.conf
  * Fix reference to makedev (Closes: #916171)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 27 Dec 2018 19:31:55 +0530

uml-utilities (20070815.1-3) unstable; urgency=medium

  * Switch packaging repository to Salsa
  * Switch Maintainer email address (Closes: #899717)
  * Use tracker as maintainer email address

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 12 Jun 2018 10:10:31 +0545

uml-utilities (20070815.1-2) unstable; urgency=medium

  * Fix path of tunctl invocation.
    Thanks to Allen Chan (Closes: #834458)
  * Add Vcs and Homepage fields
  * Add debian/gbp.conf
  * Update uploaders list and add myself to it

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 16 Aug 2016 21:14:59 +0530

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: uml-utilities
 Section: otherosfs
 Priority: extra
-Maintainer: User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>
-Uploaders: Andreas Schuldei <andreas@schuldei.org>, Mattia Dongili <malattia@debian.org>
+Maintainer: User Mode Linux Maintainers <team+uml@tracker.debian.org>
+Uploaders: Mattia Dongili <malattia@debian.org>, Ritesh Raj Sarraf <rrs@debian.org>
 Build-Depends: debhelper (>> 9.0.0), libreadline-dev, docbook-to-man, libfuse-dev
 Standards-Version: 3.9.8
+Homepage: http://user-mode-linux.sourceforge.net/
+Vcs-Git: https://salsa.debian.org/uml-team/uml-utilities.git
+Vcs-Browser: https://salsa.debian.org/uml-team/uml-utilities.git
 
 Package: uml-utilities
 Architecture: linux-any

## uml-utilities 20070815.3

=== moo/Makefile ===
--- 
+++ 
@@ -3,7 +3,8 @@
 uml_moo_OBJS = uml_moo.o cow.o
 uml_mkcow_OBJS = uml_mkcow.o cow.o
 
-CFLAGS = -g -Wall -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE
+CFLAGS ?= -g -Wall
+override CFLAGS += -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -D_GNU_SOURCE
 
 BIN_DIR ?= /usr/bin

=== uml_net/Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 TUNTAP = $(shell [ -e /usr/include/linux/if_tun.h ] && echo -DTUNTAP)
 
 BIN = uml_net
-CFLAGS = -g -Wall $(TUNTAP)
+CFLAGS ?= -g -Wall
+override CFLAGS += $(TUNTAP)
 
 BIN_DIR ?= /usr/bin

=== debian/changelog ===
uml-utilities (20070815.3-1) unstable; urgency=medium

  [ New Maintenance Release ]
  * Drop Mattia Dongili from Uploaders list (Closes: #933155)
  * Use standard path for libray installation. (Closes: #928924)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 09 Jan 2020 16:50:07 +0530

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: otherosfs
 Priority: extra
 Maintainer: User Mode Linux Maintainers <team+uml@tracker.debian.org>
-Uploaders: Mattia Dongili <malattia@debian.org>, Ritesh Raj Sarraf <rrs@debian.org>
+Uploaders: Ritesh Raj Sarraf <rrs@debian.org>
 Build-Depends: debhelper (>> 9.0.0), libreadline-dev, docbook-to-man, libfuse-dev
 Standards-Version: 3.9.8
 Homepage: http://user-mode-linux.sourceforge.net/

## uml-utilities 20070815.4

=== Makefile ===
--- 
+++ 
@@ -5,12 +5,7 @@
 UMLVER = $(shell date +%Y%m%d)
 TARBALL = uml_utilities_$(UMLVER).tar.bz2
 BIN_DIR = /usr/bin
-
-ifeq ($(shell uname -m),x86_64)
-LIB_DIR = /usr/lib64/uml
-else
 LIB_DIR = /usr/lib/uml
-endif
 
 CFLAGS = -g -Wall
 #CFLAGS = -g -O2 -Wall

=== lib/Makefile ===
LIB = libuml.a
OBJS = rights.o
CFLAGS = -g -Wall

all : $(LIB)

$(LIB) : $(OBJS)
	$(AR) r $@ $<

clean :
	rm -f $(LIB) $(OBJS)

install :

=== mconsole/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 BIN = uml_mconsole
 OBJS = $(BIN).o
 CFLAGS ?= -g -Wall
-LIBS = ../lib/libuml.a -lreadline -lncurses
+LIBS = ../lib/libuml.a -lreadline
 
 BIN_DIR ?= /usr/bin

=== port-helper/Makefile ===
--- 
+++ 
@@ -1,11 +1,14 @@
 OBJS = port-helper.o
 BIN = port-helper
 CFLAGS ?= -g -Wall
+LIBS = ../lib/libuml.a
+
+LIB_DIR ?= /usr/lib/uml
 
 all : $(BIN)
 
 $(BIN) : $(OBJS)
-	$(CC) $(CFLAGS) -o $(BIN) $(OBJS)
+	$(CC) $(CFLAGS) -o $(BIN) $(OBJS) $(LIBS)
 
 clean : 
 	rm -f $(BIN) $(OBJS) *~

=== umlfs/Makefile ===
BIN = uml_mount
OBJS = $(BIN).o
# I have the FUSE headers in /usr/local/include
CFLAGS = -g -Wall -D_FILE_OFFSET_BITS=64 -I/usr/local/include
LIBS = -lfuse

BIN_DIR ?= /usr/bin

all : $(BIN)

$(BIN) : $(OBJS)
	$(CC) $(CFLAGS) -o $(BIN) $(OBJS) $(LIBS)

clean : 
	rm -f $(BIN) $(OBJS) *~

install : $(BIN)
	install -d $(DESTDIR)$(BIN_DIR)
	install -s $(BIN) $(DESTDIR)$(BIN_DIR)

=== debian/changelog ===
uml-utilities (20070815.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix the build on mips64el and ppc64el. (Closes: #1102470)

 -- Adrian Bunk <bunk@debian.org>  Fri, 11 Apr 2025 11:28:03 +0300

uml-utilities (20070815.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Wrap long lines in changelog entries: 20060110-1.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.

  [ Ritesh Raj Sarraf ]
  * Add Rules-Rrequires-Root config stanza
  * Fix build with gcc-14.
    Thanks to Marek Benc (Closes: #1075599)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 07 Apr 2025 12:44:40 +0530

uml-utilities (20070815.4-1) unstable; urgency=medium

  [ New Maintenance Release ]
  * Unpatch tunctl-setgroup
  * Direct apply patch tunctl-setgroup
  * Delete obsolete patches. Not used anymore
  * Fix URL to Vcs-Browser

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 02 Mar 2020 19:50:13 +0530

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: uml-utilities
 Section: otherosfs
-Priority: extra
+Priority: optional
 Maintainer: User Mode Linux Maintainers <team+uml@tracker.debian.org>
 Uploaders: Ritesh Raj Sarraf <rrs@debian.org>
-Build-Depends: debhelper (>> 9.0.0), libreadline-dev, docbook-to-man, libfuse-dev
+Build-Depends: debhelper-compat (= 12), libreadline-dev, docbook-to-man, libfuse-dev
 Standards-Version: 3.9.8
+Rules-Requires-Root: binary-targets
 Homepage: http://user-mode-linux.sourceforge.net/
 Vcs-Git: https://salsa.debian.org/uml-team/uml-utilities.git
-Vcs-Browser: https://salsa.debian.org/uml-team/uml-utilities.git
+Vcs-Browser: https://salsa.debian.org/uml-team/uml-utilities
 
 Package: uml-utilities
 Architecture: linux-any

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	install -m 755 debian/uml-utilities.if-pre-up.d $(tmp)/etc/network/if-pre-up.d/uml-utilities
 
 ifeq "$(DEB_BUILD_ARCH)" "arm"
-	rm -f $(tmp)/usr/sbin/tunctl
+	rm -f $(tmp)/usr/bin/tunctl
 endif
 
 # Build architecture-independent files here.
